package com.aiosman.ravenow.ui.index.tabs.moment.tabs.timeline

import com.aiosman.ravenow.AppState
import com.aiosman.ravenow.entity.MomentLoaderExtraArgs
import com.aiosman.ravenow.ui.index.tabs.moment.BaseMomentModel
import org.greenrobot.eventbus.EventBus


object TimelineMomentViewModel : BaseMomentModel() {
    init {
        EventBus.getDefault().register(this)
    }

    override fun extraArgs(): MomentLoaderExtraArgs {
        return MomentLoaderExtraArgs(timelineId = AppState.UserId!!)
    }
}